SDL_HINT_PREFERRED_LOCALES(3)

NAME
SDL_HINT_PREFERRED_LOCALES - Override for SDL_GetPreferredLocales().

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_PREFERRED_LOCALES "SDL_PREFERRED_LOCALES"

DESCRIPTION
If set, this will be favored over anything the OS might report for the user's preferred locales. Changing this hint at runtime will not generate a SDL_EVENT_LOCALE_CHANGED event (but if you can change the hint, you can push your own event, if you want).

The format of this hint is a comma-separated list of language and locale, combined with an underscore, as is a common format: "en_GB". Locale is optional: "en". So you might have a list like this: "en_GB,jp,es_PT"

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.